Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 526682 - Review Request: django-debug-toolbar - Django debug information about the current request/response
Summary: Review Request: django-debug-toolbar - Django debug information about the cur...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-10-01 11:58 UTC by Allisson Azevedo
Modified: 2010-03-30 15:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 15:47:19 UTC


Attachments (Terms of Use)

Description Allisson Azevedo 2009-10-01 11:58:31 UTC
Spec URL: http://allisson.fedorapeople.org/packages/django-debug-toolbar/django-debug-toolbar.spec
SRPM URL: http://allisson.fedorapeople.org/packages/django-debug-toolbar/django-debug-toolbar-0.8.0-1.fc11.src.rpm

Description: The Django Debug Toolbar is a configurable set of panels that display various
debug information about the current request/response and when clicked, display
more details about the panel's content.
 
Currently, the following panels have been written and are working:
 
- Django version
- Request timer
- A list of settings in settings.py
- Common HTTP headers
- GET/POST/cookie/session variable display
- Templates and context used, and their template paths
- SQL queries including time to execute and links to EXPLAIN each query
- List of signals, their args and receivers
- Logging output via Python's built-in logging module

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1721974

Comment 2 Thomas Spura 2009-11-26 14:02:51 UTC
Hi Allisson,

this is a nice program, but I currently look into django and start learning it.

Without actually know something about django, I don't want to review this ;)

_______________________


I did what README.rst told me, but can't get it working...

You can find my little testing intro at:
http://tomspur.fedorapeople.org/django_test/

Maybe you see, what's going wrong...

Comment 3 Matthias Runge 2010-02-09 12:33:09 UTC
Allison, are you still working on this?

rpmlint on your spec-file looks fine to me. 
Your SRPM-URL changed slightly, right? http://allisson.fedorapeople.org/packages/django-debug-toolbar/django-debug-toolbar-0.8.1-1.fc12.src.rpm

rpmlint looks ok, mock build looks ok, too.

Comment 4 Thomas Spura 2010-03-30 15:47:19 UTC
No comment from reporter since 4 months...

-> closing


Note You need to log in before you can comment on or make changes to this bug.